<template>
  <div class="bg-primary p-0 m-0 d-flex auth">
      <v-row justify="center" align="center" class="row-bg">
        <v-col cols="12" md="3" class="text-center">
            <h1 class="title-auth"><slot name="title"/></h1>
            <slot/>
        </v-col>
      </v-row>
  </div>
</template>

<script>
export default {
  name: 'IndexAuth',
  created () {
    this.verifyLogin()
  },
  methods: {
    verifyLogin () {
      this.$axios.get('user').then((r) => {
        if (r.data) {
          this.$router.push('/dashboard')
        }
      })
    }
  }
}
</script>

<style>
    .bg-primary{
        background: url('/imgs/bg-astro.svg');
        background-size: cover;
        background-repeat: no-repeat;
    }

    .bg-primary::before{
      background: #4D108A;
      opacity: 0.7;
    }

    .auth .title-auth{
        position: relative;
        color: #FFF;
        margin-bottom:40px;
    }

    .auth .v-label{
        text-align: center;
        left: 50% !important;
        transform: translate(-50%, -50%);
        color: #FFF !important;
    }

    .auth .v-input input{
        color: #FFF !important;
        text-align: center;
    }

    .auth .v-input__slot::before{
        border-color: #EF5350 !important;
    }

    .auth .v-input__icon .v-icon{
        color: #FFF;
    }
</style>
